#include <Adafruit_GFX.h>        // Core graphics library
#include <Adafruit_ST7735.h>     // Library for the ST7735 TFT screen
#include <SPI.h>

// Define the pins for your display (adjust these to your setup)
#define TFT_CS     35  // Chip select pin
#define TFT_RST    34  // Reset pin
#define TFT_DC     36  // Data/Command pin
#define TFT_BL     33  // Backlight pin (TFT_BL/IO33)

// Create an instance of the display
Adafruit_ST7735 tft = Adafruit_ST7735(TFT_CS, TFT_DC, TFT_RST);

// Your bitmap data (replace this with your actual byte data)
//const uint8_t myBitmap[128 * 128 / 8] PROGMEM = {
  // Your bitmap data here, for example:
 // 'New nibbles', 128x128px
const unsigned char myBitmap [] PROGMEM = {
	0xff, 0xff, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x00, 0x00, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf8, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x0f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfc, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x0f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfc, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x0f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfc, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x0f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfc, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x0f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfc, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x0f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfc, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x0f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfc, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x0f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfc, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x0f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfc, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x0f, 0xff, 0xf0, 0x3f, 0xff, 0xff, 0xfe, 0x07, 0xff, 0xfc, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x0f, 0xff, 0xe0, 0x1f, 0xff, 0xff, 0xfc, 0x03, 0xff, 0xfc, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x0f, 0xff, 0xc0, 0x0f, 0xff, 0xff, 0xf8, 0x03, 0xff, 0xfc, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x0f, 0xff, 0xc0, 0x0f, 0xff, 0xff, 0xf8, 0x01, 0xff, 0xfc, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x0f, 0xff, 0xc0, 0x0f, 0xff, 0xff, 0xf0, 0x01, 0xff, 0xfc, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x0f, 0xff, 0xc0, 0x0f, 0xff, 0xff, 0xf0, 0x01, 0xff, 0xfc, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x0f, 0xff, 0xc0, 0x0f, 0xff, 0xff, 0xf8, 0x01, 0xff, 0xfc, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x0f, 0xff, 0xc0, 0x1f, 0xff, 0xff, 0xf8, 0x03, 0xff, 0xfc, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x0f, 0xff, 0xe0, 0x1f, 0xff, 0xff, 0xfc, 0x07, 0xff, 0xfc, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x0f, 0xff, 0xf8, 0x7f, 0xff, 0xff, 0xfe, 0x0f, 0xff, 0xfc, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x0f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfc, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x0f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfc, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x0f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfc, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x0f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfc, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x0f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfc, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x0f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfc, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x0f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfc, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x0f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfc, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x0f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfc, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x0f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfc, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x0f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfc, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xe0, 0x03, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xe0, 0x03, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xe0, 0x03, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xe0, 0x03, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0f, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x0f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfc, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x0f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfc, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x0f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfc, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x0f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfc, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x0f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfc, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x0f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfc, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x0f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfc, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x0f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfc, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x0f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfc, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x0f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfc, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x0f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfc, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x0f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfc, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x0f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfc, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x0f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfc, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x0f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfc, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x0f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfc, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x0f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfc, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x0f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfc, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x0f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfc, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x0f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfc, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x0f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfc, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x0f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfc, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x0f, 0xff, 0xff, 0xff, 0x7f, 0xff, 0x7f, 0xff, 0xff, 0xfc, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x0f, 0xff, 0xff, 0xfe, 0x3f, 0xfe, 0x3f, 0xff, 0xff, 0xfc, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x0f, 0xff, 0xff, 0xfc, 0x1f, 0xfc, 0x1f, 0xff, 0xff, 0xfc, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x0f, 0xff, 0xff, 0xf8, 0x1f, 0xfc, 0x0f, 0xff, 0xff, 0xfc, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x0f, 0xff, 0xff, 0xf0, 0x3f, 0xfe, 0x07, 0xff, 0xff, 0xfc, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x0f, 0xff, 0xff, 0xe0, 0x7f, 0x7f, 0x03, 0xff, 0xff, 0xfc, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x0f, 0xff, 0xff, 0xc0, 0xfe, 0x3f, 0x81, 0xff, 0xff, 0xfc, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x0f, 0xff, 0xff, 0x81, 0xfc, 0x1f, 0xc0, 0xff, 0xff, 0xfc, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x0f, 0xff, 0xff, 0x03, 0xf8, 0x0f, 0xf0, 0x7f, 0xff, 0xfc, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x0f, 0xff, 0xfe, 0x07, 0xf0, 0x07, 0xf8, 0x3f, 0xff, 0xfc, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x0f, 0xff, 0xfc, 0x0f, 0xe0, 0x03, 0xfc, 0x1f, 0xff, 0xfc, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x0f, 0xff, 0xf8, 0x1f, 0xc0, 0x01, 0xfe, 0x0f, 0xff, 0xfc, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x0f, 0xff, 0xf0, 0x3f, 0x80, 0x00, 0xff, 0x07, 0xff, 0xfc, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x0f, 0xff, 0xe0, 0x7f, 0x00, 0x00, 0x7f, 0x03, 0xff, 0xfc, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x0f, 0xff, 0xf0, 0x3f, 0x80, 0x00, 0xfe, 0x07, 0xff, 0xfc, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x0f, 0xff, 0xf8, 0x1f, 0xc0, 0x01, 0xfe, 0x0f, 0xff, 0xfc, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x0f, 0xff, 0xfc, 0x0f, 0xe0, 0x03, 0xf8, 0x1f, 0xff, 0xfc, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x0f, 0xff, 0xfe, 0x07, 0xf0, 0x07, 0xf8, 0x3f, 0xff, 0xfc, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x0f, 0xff, 0xff, 0x03, 0xf8, 0x0f, 0xf0, 0x7f, 0xff, 0xfc, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x0f, 0xff, 0xff, 0x81, 0xfc, 0x1f, 0xc0, 0xff, 0xff, 0xfc, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x0f, 0xff, 0xff, 0x00, 0xfe, 0x3f, 0xc0, 0x7f, 0xff, 0xfc, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x0f, 0xff, 0xfe, 0x00, 0x7f, 0x7f, 0x00, 0x3f, 0xff, 0xfc, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x0f, 0xff, 0xfc, 0x00, 0x3f, 0xff, 0x00, 0x3f, 0xff, 0xfc, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x0f, 0xff, 0xf8, 0x00, 0x1f, 0xfc, 0x00, 0x0f, 0xff, 0xfc, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x0f, 0xff, 0xf0, 0x00, 0x1f, 0xfc, 0x00, 0x07, 0xff, 0xfc, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x0f, 0xff, 0xe0, 0x00, 0x3f, 0xfe, 0x00, 0x07, 0xff, 0xfc, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x0f, 0xff, 0xc0, 0x00, 0x7f, 0xff, 0x00, 0x01, 0xff, 0xfc, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x0f, 0xff, 0x80, 0x00, 0xff, 0xff, 0x80, 0x01, 0xff, 0xfc, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x0f, 0xff, 0x00, 0x01, 0xff, 0xff, 0xc0, 0x00, 0x7f, 0xfc, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x0f, 0xfe, 0x00, 0x03, 0xff, 0xff, 0xe0, 0x00, 0x3f, 0xfc, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x0f, 0xfc, 0x00, 0x07, 0xff, 0xff, 0xf0, 0x00, 0x3f, 0xfc, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x0f, 0xf8, 0x00, 0x0f, 0xff, 0xff, 0xf8, 0x00, 0x0f, 0xfc, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x00, 0x00, 0x00, 0x1f, 0xff, 0xff, 0xfc, 0x00, 0x00, 0x00, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x00, 0x00, 0x00, 0x3f, 0xff, 0xff, 0xfe, 0x00, 0x00, 0x00, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x00, 0x00, 0x00, 0x7f, 0xff, 0xff, 0xff, 0x00, 0x00, 0x00, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x00, 0x00, 0x00, 0xff, 0xff, 0xff, 0xff, 0x80, 0x00, 0x00, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x00, 0x00, 0x01, 0xff, 0xff, 0xff, 0xff, 0xc0, 0x00, 0x00, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x00, 0x00, 0x03, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x00, 0x00, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x00, 0x00, 0x07, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x00, 0x00, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x00, 0x00, 0x0f, 0xff, 0xff, 0xff, 0xff, 0xfc, 0x00, 0x00, 0x00, 0xff, 0xff, 
	0xff, 0xff, 0x80, 0x00, 0x00, 0x1f, 0xff, 0xff, 0xff, 0xff, 0xfc, 0x00, 0x00, 0x00, 0xff, 0xff
};

void setup() {
  // Initialize the backlight pin
  pinMode(TFT_BL, OUTPUT);
  digitalWrite(TFT_BL, HIGH);  // Turn on the backlight

  // Initialize the display
  tft.initR(INITR_BLACKTAB);  // Specific initialization for the ST7735 screen
  tft.fillScreen(ST77XX_BLACK); // Clear the screen with a black background
  
  // Draw the bitmap at position (0, 0)
  tft.drawBitmap(0, 0, myBitmap, 128, 128, ST77XX_WHITE); // Change color as needed
}

void loop() {
  // The loop remains empty for this demo
}
